Package io.papermc.paper.event.player

# Class PlayerArmSwingEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerAnimationEvent
io.papermc.paper.event.player.PlayerArmSwingEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerArmSwingEvent extends PlayerAnimationEvent

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerArmSwingEvent(@NotNull Player player, @NotNull EquipmentSlot equipmentSlot)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull EquipmentSlot`
`getHand()`
Returns the hand of the arm swing.

### Methods inherited from class org.bukkit.event.player.PlayerAnimationEvent

`getAnimationType, getHandlerList, getHandlers, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerArmSwingEvent

public PlayerArmSwingEvent(@NotNull @NotNull Player player, @NotNull @NotNull EquipmentSlot equipmentSlot)

## Method Details

### getHand

@NotNull public @NotNull EquipmentSlot getHand()
Returns the hand of the arm swing.

Returns:
  the hand